import React, { useMemo } from 'react'
import { View } from '@tarojs/components'

import './style.less'

let inx = 0;
const colorList = [
  '#d48806',
  '#7cb305',
  '#08979c',
  '#096dd9',
  '#531dab',
  '#c41d7f',
]

export default (props) => {
  const { title } = props;

  const style = useMemo(() => {
    const back = colorList[inx % 6];
    inx += 1;

    return {
      background: back
    }
  }, [])

  return (
    <View className='index-menu-item weui-flex'>
      <View className='index-menu-item-title weui-flex__item'>{title}</View>
      <View className='index-menu-item-icon weui-flex__item' style={style}></View>
    </View>
  )
}
